Apache JMeter

## org.apache.jorphan.util
Class JMeterError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              org.apache.jorphan.util.JMeterError

All Implemented Interfaces:
  Serializable

public class JMeterError
extends Error

The rationale for this class is to support chained Errors in JDK 1.3

Version:
  $Revision: 674365 $
See Also:
  Serialized Form

Constructor Summary
`JMeterError()`
`JMeterError(String s)`
`JMeterError(String message, Throwable cause)`
`JMeterError(Throwable cause)`

Method Summary
`Throwable` `getCause()` Local version of getCause() for JDK1.3 support

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JMeterError

    public JMeterError()

### JMeterError

    public JMeterError(String s)

Parameters:
  `s` -

### JMeterError

    public JMeterError(Throwable cause)

Parameters:
  `cause` -

### JMeterError

    public JMeterError(String message,
                       Throwable cause)

Parameters:
  `message` -
  `cause` -

Method Detail

### getCause

    public Throwable getCause()

  Local version of getCause() for JDK1.3 support

Apache JMeter

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.